using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;

namespace KairoEngine.UI.Encyclopedia
{
    [CreateAssetMenu(fileName = "Encyclopedia Article", menuName = "KairoEngine/Encyclopedia Article"), HideMonoScript]
    public class DefaultEncyclopediaArticle : ScriptableObject, IEncyclopediaArticle
    {
        public string title = "Example Article Title";
        public Sprite icon;
        public Sprite image;
        public string author;
        public string date;
        public string description;
        [HideLabel, TextArea()] public string text;

        public EncyclopediaArticle GetArticle()
        {
            var article = new EncyclopediaArticle();
            article.id = title;
            article.title = title;
            article.description = description;
            article.icon = icon;
            article.content.Add("title", title);
            article.content.Add("description", description);
            article.content.Add("author", author);
            article.content.Add("date", date);
            article.content.Add("text", text);
            article.images.Add("icon", icon);
            article.images.Add("image", image);
            //Debug.Log($"Created article with {article.content.Keys.Count} content keys");
            return article;
        }
    }
}